mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricSignatureFormatter System.Runtime.InteropServices.ComVisible(true) You are encouraged to use this class for generating all DSA signatures to ensure code portability with all DSA implementation. Some DSA implementations, like , provides some helper methods but these methods will limit your code to use this specific class.

Creates a Digital Signature Algorithm () signature.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Using this constructor is equivalent to the following code: `DSASignatureFormatter f = new DSASignatureFormatter (); f.SetKey (dsa);`

  Initializes a new instance of the class with the specified key.

  The instance of the Digital Signature Algorithm () that holds the key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The resulting signature data can be verified by using .

  Creates the Digital Signature Algorithm () PKCS #1 signature for the specified data.

  The digital signature for the specified data.

  The data to be signed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This class only support the hash algorithm. Any name that resolves in another hash algorithm (or anything else) will throw a . This is a restriction of the DSA algorithm (FIPS 186) not of the class library.

  Specifies the hash algorithm for the Digital Signature Algorithm () signature formatter.

  The name of the hash algorithm to use for the signature formatter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` will only be successful if the key object has it's private key available.

  Specifies the key to be used for the Digital Signature Algorithm () signature formatter.

  The instance of that holds the key.